Package ru.bitel.bgbilling.modules.card.server.bean

# Class DealerDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Dealer>
ru.bitel.bgbilling.modules.card.server.bean.DealerDao

public class DealerDao extends ru.bitel.bgbilling.common.dao.AbstractDao<Dealer>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DealerDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkContractDealerLink(int contractId)`
  проверка на наличие дилеров, привязанных к договору
  `int`
  `delete(int id)`
  `Dealer`
  `get(int id)`
  `Map<Integer,String>`
  `getDealerTitles(List<Integer> dealerIds)`
  `protected Dealer`
  `getFromRS(ResultSet rs)`
  `void`
  `incDealerRequest(int id, int count)`
  `List<Dealer>`
  `list(int type)`
  `void`
  `update(Dealer dealer)`
  `protected void`
  `updateImpl(Dealer dealer)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DealerDao

    public DealerDao(Connection con, int moduleId)

- ## Method Details

  - ### update

    public void update(Dealer dealer) throws SQLException
    Overrides:
      `update` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Dealer>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected Dealer getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Dealer>`
    Throws:
      `SQLException`

  - ### checkContractDealerLink

    public boolean checkContractDealerLink(int contractId) throws SQLException
    проверка на наличие дилеров, привязанных к договору
    Parameters:
      `id` -
    Returns:
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Dealer dealer) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Dealer>`
    Throws:
      `SQLException`

  - ### incDealerRequest

    public void incDealerRequest(int id, int count) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<Dealer> list(int type) throws SQLException
    Throws:
      `SQLException`

  - ### get

    public Dealer get(int id) throws SQLException
    Throws:
      `SQLException`

  - ### delete

    public int delete(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getDealerTitles

    public Map<Integer,String> getDealerTitles(List<Integer> dealerIds) throws SQLException
    Throws:
      `SQLException`